/*
Theme Name:   BashaUhuru2024
Theme URI:    http://lucidity.design
Description:  This is a custom child theme of Divi.
Author:       Richard George Davis
Author URI:   http://lucidity.design
Template:     Divi
Version:      2.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/
/*-- [   START - root   ] ---*/
:root {
  --color-1: #ffb011;
  --color-1a: 255, 176, 17,;
  --color-2: #001714;
  --color-2a: 0, 23, 20,;
  --color-3: #ff0000;
  --color-3a: 255, 0, 0,;
  --color-4: #1cbbb4;
  --color-4a: 28, 187, 180,;
  --color-5: #3e9022;
  --color-5a: 62, 144, 34,;
  --color-6: #ff8b0a;
  --color-6a: 255, 139, 10,;
  --color-7: #f7e5aa;
  --color-7a: 247, 229, 170,;
  --color-conf-1: #904d01;
  --color-conf-2: #ff9115;
  --color-conf-3: #ffbf77;
  --color-conf-1: #a60d8c;
  --color-conf-2: #f24bd5;
  --color-conf-3: #ffa481;
  --color-conf-1: #188000;
  --color-conf-2: #95a400;
  --color-conf-3: #f1ff6b;
  --color-conf-1: #0072bc;
  --color-conf-2: #51bdff;
  --color-conf-3: #81e6ff;
  --color-conf-1: #6a0000;
  --color-conf-2: #ff6161;
  --color-conf-3: #ffa5a5;
  --font-size-base: clamp(1rem, 0.886rem + 0.303vw, 1.25rem);
  --font-size-small: clamp(0.875rem, 0.83rem + 0.149vw, 0.938rem);
  --font-size-1: clamp(3.125rem, 1.786rem + 4.464vw, 5rem);
  --font-size-2: clamp(1.563rem, 0rem + 5.208vw, 3.75rem);
  --font-size-3: clamp(1.875rem, 1.652rem + 0.744vw, 2.188rem);
  --font-size-4: clamp(0.875rem, 0.607rem + 0.893vw, 1.25rem);
  --font-size-4a:clamp(0.875rem, 0.696rem + 0.595vw, 1.125rem);
  --font-size-5: clamp(1.125rem, 1.036rem + 0.298vw, 1.25rem);
  --space-zero: clamp(0rem, -0.02rem + 0.11vw, 0.0625rem);
  --space-3xs: clamp(0.2rem, 0.1rem + 0.4vw, 0.45rem);
  --space-2xs: clamp(0.25rem, 0.16rem + 0.43vw, 0.5rem);
  --space-xs: clamp(0.75rem, 0.71rem + 0.22vw, 0.875rem);
  --space-s: clamp(1rem, 0.96rem + 0.22vw, 1.125rem);
  --space-m: clamp(1.5rem, 1.43rem + 0.33vw, 1.6875rem);
  --space-l: clamp(2rem, 1.91rem + 0.43vw, 2.25rem);
  --space-xl: clamp(3rem, 2.87rem + 0.65vw, 3.375rem);
  --space-2xl: clamp(4rem, 3.83rem + 0.87vw, 4.5rem);
  --space-3xl: clamp(5rem, 4.78rem + 1.09vw, 5.625rem);
  --space-4xl: clamp(6rem, 5.74rem + 1.30vw, 6.75rem);
  --space-xs-s: clamp(0.75rem, 0.62rem + 0.65vw, 1.125rem);
  --space-s-m: clamp(1rem, 0.76rem + 1.20vw, 1.6875rem);
  --space-s-l: clamp(1rem, 0.57rem + 2.17vw, 2.25rem);
  --space-m-l: clamp(1.5rem, 1.24rem + 1.30vw, 2.25rem);
  --space-l-xl: clamp(2rem, 1.52rem + 2.39vw, 3.375rem);
  --space-xl-2xl: clamp(3rem, 2.48rem + 2.61vw, 4.5rem);
  --space-2xl-3xl: clamp(4rem, 3.43rem + 2.83vw, 5.625rem);
  --space-3xl-4xl: clamp(5rem, 4.39rem + 3.04vw, 6.75rem);
  --size-step-5: clamp(0.8125rem, 0.79rem + 0.11vw, 0.875rem);
  --size-step-4: clamp(1.1875rem, 1.12rem + 0.33vw, 1.375rem);
  --size-step-3: clamp(1.4375rem, 1.33rem + 0.54vw, 1.75rem);
  --size-step-2: clamp(1.6875rem, 1.51rem + 0.87vw, 2.1875rem);
  --size-step-1: clamp(2.0625rem, 1.85rem + 1.09vw, 2.6875rem);
  --gutter: var(--space-s-m);
  --border-radius: 0.75rem;
  --border-radius-inner: 0.5rem;
  --transition-base: 250ms ease;
  --transition-movement: 200ms linear;
  --transition-fade: 200ms ease;
  --transition-bounce: 500ms cubic-bezier(0.5, 0.05, 0.2, 1.5);
  --wrapper-width: clamp(16rem, 93vw, 85rem);
  --custom-logo-max-width: 200px;
}

/*-- [   END - root   ] ---*/
/*-- [   START - new   ] ---*/

@media (max-width: 980px) {
  #footer-bottom {
    padding-bottom: 85px !important;
}
}

.et-show-more-content {
  display: none;
}

.et-fb .et-show-more-content {
  display: block;
}

.et-show-more-toggle {
  cursor: pointer;
}

#dlck-m-menu .dlck-mobile-menu > li > ul > li:first-child {
  margin-top: 5px;
}

.basha-header:after {
  OPACITY: 0.6;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("./../../uploads/2024/05/basha-2024-icon-pattern.png");
  background-size: cover; /* Adjust to 'contain' if needed */
  background-repeat: no-repeat;
  background-attachment: fixed;
}

.basha-header-1:after {
  mix-blend-mode: multiply;
}

.basha-header-2:after {
  mix-blend-mode: color-burn;
}

/*CSS to set the header hidden until scroll*/
header.et-l.et-l--header {
  height: 0;
}

.pa-header-hide-before-scroll {
  height: 0px;
  transform: translateX(0px) translateY(-300px);
  transition: transform 800ms ease 0ms, height 800ms ease 0ms;
  visibility: hidden;
}

.pa-scroll-header {
  height: auto !important;
  transform: translateX(0px) translateY(0px) !important;
  transition: transform 800ms ease 0ms, height 800ms ease 0ms;
  visibility: visible;
}

.pa-header-hide-before-scroll .et_pb_menu .et_pb_menu__wrap {
  display: none !important;
}

.pa-header-hide-before-scroll.pa-scroll-header .et_pb_menu .et_pb_menu__wrap {
  display: flex !important;
}

@-webkit-keyframes milly-shake {
  10%, 90% {
    -webkit-transform: translate3d(-1px, 0, 0);
    transform: translate3d(-1px, 0, 0);
  }
  20%, 80% {
    -webkit-transform: translate3d(2px, 0, 0);
    transform: translate3d(2px, 0, 0);
  }
  30%, 50%, 70% {
    -webkit-transform: translate3d(-3px, 0, 0);
    transform: translate3d(-3px, 0, 0);
  }
  40%, 60% {
    -webkit-transform: translate3d(3px, 0, 0);
    transform: translate3d(3px, 0, 0);
  }
}
@keyframes milly-shake {
  10%, 90% {
    -webkit-transform: translate3d(-1px, 0, 0);
    transform: translate3d(-1px, 0, 0);
  }
  20%, 80% {
    -webkit-transform: translate3d(2px, 0, 0);
    transform: translate3d(2px, 0, 0);
  }
  30%, 50%, 70% {
    -webkit-transform: translate3d(-3px, 0, 0);
    transform: translate3d(-3px, 0, 0);
  }
  40%, 60% {
    -webkit-transform: translate3d(3px, 0, 0);
    transform: translate3d(3px, 0, 0);
  }
}
.et_pb_section .milly-shake {
  -webkit-animation: milly-shake 1.5s infinite;
  animation: milly-shake 1.5s infinite;
  margin-right: 20px !important;
}

.et_pb_section .milly-shake:hover {
  -webkit-animation: none;
  animation: none;
}

.milly-inline-module, .et_pb_button_module_wrapper {
  display: inline-block;
}

.milly-inline-modules .et_pb_column {
  display: flex;
  flex-wrap: wrap;
}

.milly-close-this-section {
  cursor: pointer;
}

/*-- [   END - new   ] ---*/
/*-- [   START - imports   ] ---*/
/*--- [START - Base] ---*/
/* change color of text highlight */
::-moz-selection {
  color: var(--color-2);
  background: var(--color-1);
}

::selection {
  color: var(--color-2);
  background: var(--color-1);
}

/* Add this class to the Column to vertically center modules inside that column ("Equal Column Heights" option need to be enabled in that Row). */
.vertical-align {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/* Add this class to the Row Settings to switch columns order on mobile */
@media (max-width: 980px) {
  .et_pb_row.reverse-columns-mobile {
    display: flex !important;
    flex-direction: column-reverse !important;
  }
  .et_pb_row.reverse-columns-mobile .et_pb_column:last-child,
  .et_pb_row.reverse-columns-mobile .et_pb_column.et-last-child {
    margin-bottom: 30px;
  }
  .et_pb_row.reverse-columns-mobile .et_pb_column:first-child {
    margin-bottom: 0;
    z-index: 10;
  }
}
@media (max-width: 479px) {
  .dlck-equal-height .et_pb_blurb_content {
    height: auto !important;
  }
}
/* hide top header on scroll ver 1 */
/* [ start Fixes ] */
/* fix Divi overflow - Horizontal Scroll-Bar Bug /  */
#page-container {
  overflow: hidden;
}

@media all and (max-width: 980px) {
  html, body {
    overflow-x: hidden;
  }
  body {
    position: relative;
  }
}
/* Fix Divi Pixel logo on open mobile menu  */
@media screen and (max-width: 980px) {
  .logo_container {
    z-index: 99999999 !important;
    pointer-events: none;
  }
}
/*set the Divi menu dropdown auto width*/
@media only screen and (min-width: 981px) {
  .nav li ul {
    width: fit-content;
    display: flex;
    flex-direction: column;
  }
  .nav li li {
    white-space: nowrap;
  }
  .nav li li a {
    width: auto !important;
  }
}
/* [ end Fixes ] */
/*-- [START - Custom styled text] ---*/
/* Top line */
.custom-styled-text-line:before {
  display: block;
  content: "";
  background: var(--color-1);
  height: 3px;
  width: 55px;
  margin-bottom: 20px;
}

/* Highlighted Link Animation Effect */
.custom-styled-text a:link {
  text-decoration: none;
  color: var(--color-3);
  color: var(--color-1);
  background-image: linear-gradient(var(--color-1), var(--color-1)), linear-gradient(var(--color-3), var(--color-3));
  background-position: 0% 100%;
  background-repeat: no-repeat;
  background-size: 0% 2px, 100% 2px;
  transition: background-size 0.16s;
  position: relative;
  transition: background-size 0.25s ease-in-out;
  font-weight: bold;
}

body .custom-styled-text a:link:hover,
body .custom-styled-text a:link:focus {
  background-size: 100% 2px, 100% 100%;
  color: var(--color-6) !important;
  transition: ease all 0.3s;
}

.custom-styled-text .et_pb_blog_grid article.et_pb_post .entry-title a:link,
.custom-styled-text .et_pb_blog_grid article.et_pb_post .et_pb_image_container a:link {
  color: var(--color-3);
  background-image: unset;
}

.custom-styled-text article.et_pb_post a:link {
  text-decoration: none;
  color: var(--color-3);
  background-image: linear-gradient(var(--color-1), var(--color-3)), linear-gradient(rgba(var(--color-2a) 0), var(--color-3));
  background-position: 0% 100%;
  background-repeat: no-repeat;
  background-size: 0% 2px, 100% 2px;
  transition: background-size 0.16s;
  position: relative;
  transition: background-size 0.25s ease-in-out;
  font-weight: bold;
}

/*-- Font sizes ---*/
body .custom-styled-text {
  font-size: var(--font-size-base);
  line-height: 1.9em;
}

.custom-styled-text :is(h1, h2, h3, h4, h5, h6) {
  padding-bottom: 0;
}

.custom-styled-text h1 {
  font-size: var(--font-size-1);
  font-weight: 600;
  line-height: 1em;
}

.custom-styled-text h2 {
  font-size: var(--font-size-2);
  line-height: 1.2em;
}

.custom-styled-text h3 {
  font-size: var(--font-size-3);
  line-height: 1.3em;
}

.custom-styled-text h4 {
  font-size: var(--font-size-4);
  line-height: 1.7;
  letter-spacing: 4px;
  text-transform: uppercase;
}

body .custom-styled-text.subheader h4 {
  font-size: var(--font-size-4a);
  letter-spacing: 5px;
}

.custom-styled-text h5 {
  font-size: var(--font-size-4);
  line-height: 1.7;
}

.custom-styled-text h6 {
  font-size: var(--font-size-5);
  line-height: 1.4;
}

body #page-container .custom-styled-text :is(h1, h2, h3, h4, h5, h6):not(:last-child) {
  margin: 0px 0 var(--space-s) 0 !important;
  padding-bottom: 0 !important;
  padding: 0;
  text-wrap: balance;
}

/* body .custom-styled-text p:not(:last-child) {
  margin-top: 20px !important;
}

body .custom-styled-text p {
  margin-bottom: 0px;
} */
/*-- lists ---*/
.custom-styled-text :is(p + ul, p + ol) {
  margin-top: var(--space-s);
}

.custom-styled-text ul {
  list-style-type: none !important;
  list-style-position: inside;
  padding-left: calc(2em + 14px) !important;
  padding-bottom: 0em;
}

.custom-styled-text ul ul {
  margin: var(--space-2xs) 0 0;
}

.custom-styled-text ul > li {
  padding: 5.5px 0;
}

.custom-styled-text ul > li:before {
  content: "\e052" !important;
  color: var(--color-1);
  font-family: "ETMODULES" !important;
  margin-right: 14px !important;
  margin-left: -32px !important;
  font-size: 1.2em !important;
  padding: 5.5px 0 !important;
  position: relative;
  top: 4px;
}

.custom-styled-text ol {
  margin-top: var(--space-s);
  list-style-position: inside;
  padding-left: 27px !important;
  counter-reset: item;
  padding-bottom: 0em;
}

.custom-styled-text ol > li {
  margin: 0;
  padding: 5.5px 0 5.5px 1.2em;
  text-indent: -1.5em;
  list-style-type: none;
  counter-increment: item;
}

.custom-styled-text ol > li:before {
  display: inline-block;
  width: 1em;
  font-weight: bold;
  text-align: right;
  content: counter(item) ".";
  color: var(--color-3);
  margin-right: 18px !important;
  margin-left: -10px !important;
  padding: 3px 0 !important;
  top: 4px;
}

body .custom-styled-text ol > li > ul > li {
  text-indent: 0.2em;
}

.custom-styled-text ol ul {
  margin: var(--space-3xs) 0 0;
}

.custom-styled-text ol ul li {
  padding: 3px 0;
}

.custom-styled-text ol ul li:before {
  margin-right: 15px !important;
  margin-left: -43px !important;
}

@media (max-width: 49em) {
  .custom-styled-text a, .custom-styled-text > * {
    word-wrap: break-word;
    hyphens: auto;
    overflow-wrap: break-word;
    word-break: break-word;
  }
}
/* legal */
.legal.custom-styled-text {
  font-size: calc(var(--font-size-base) * 0.85) !important;
}

.legal.custom-styled-text :is(ul, ol) {
  font-size: calc(var(--font-size-base) * 0.75) !important;
}

.legal.custom-styled-text h1 {
  font-size: calc(var(--font-size-1) * 0.75);
}

.legal.custom-styled-text h2 {
  font-size: calc(var(--font-size-2) * 0.75);
}

.legal.custom-styled-text h3 {
  padding-top: var(--space-xl) !important;
}

.legal.custom-styled-text h4 {
  padding-top: var(--space-l) !important;
}

.legal.custom-styled-text ul {
  padding-left: var(--space-xl) !important;
}

.legal.custom-styled-text ul > li:before {
  content: "\e052" !important;
  color: var(--color-3);
  font-family: "ETMODULES" !important;
  margin-right: 14px !important;
  margin-left: -32px !important;
  font-size: 1.2em !important;
  padding: 5.5px 0 !important;
  position: relative;
  top: 4px;
}

.legal.custom-styled-text ol,
.legal.custom-styled-text ul {
  margin: var(--space-2xs) 0 0;
}

/*-- [START - list of logos horizontal centered ] ---*/
/*-- [START - list of logos horizontal centered ] ---*/
.logo-img-list .et_pb_column {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.logo-img-list .et_pb_column .et_pb_image {
  max-width: 220px;
  margin: auto 0 !important;
  padding: 1em 2em;
  -o-object-fit: contain;
  object-fit: contain;
}

.header-logos .logo-img-list .et_pb_column .et_pb_image {
  max-width: 220px;
}

.logo-img-list .et_pb_column .et_pb_image .et_pb_image_wrap img {
  width: 100%;
  height: 80px;
  -o-object-fit: contain;
  object-fit: contain;
}

/*-- [   END - imports   ] ---*/
